Jump to content

So the x64 version is buggy?


Recommended Posts

I can play x64 just fine...The problems start when I begin inserting mods that have not been recompiled for x64...And basically, very very few of the most essential mods have been recompiled for x64...

Well...Squad is working on a more stable x64 for 0.26...So I hope the modders will join in the wake of the patch and (finally) recompile their scripts...

It's sad to say this, but I might just quit KSP otherwise...Because I can't really run the game the way I like it with the x32's memory limits...And I think I've waited more than enough already...

Link to post
Share on other sites

@almightyr it is up to the devs to make a more stable x64 NOT squad. If you quit because of this that is your choice and i wont bother to try to stop you. Most modders wont bother with dealing with x64 as for a majority of players win 64 ksp just is not reliable yet. Squad pushed 64 bit because we couldnt stop asking for it and its a hot mess. Sorry but its true

Link to post
Share on other sites
@almightyr it is up to the devs to make a more stable x64 NOT squad. If you quit because of this that is your choice and i wont bother to try to stop you. Most modders wont bother with dealing with x64 as for a majority of players win 64 ksp just is not reliable yet. Squad pushed 64 bit because we couldnt stop asking for it and its a hot mess. Sorry but its true

Actually, the Unity devs are the ones responsible for the overall stability of the game engine. Squad just needs to upgrade KSP to a newer version of Unity.

Link to post
Share on other sites
Actually, the Unity devs are the ones responsible for the overall stability of the game engine. Squad just needs to upgrade KSP to a newer version of Unity.

Unless its win 64 stable, an upgrade won't do much other possibly break saves/mods

Link to post
Share on other sites
  • 2 weeks later...

The x64 version is the only way to to get all of the Soviet stuff and FASA/Nova/KW, as well as the dependencies. 32-bit cant run all of that even with the aggressive ATM running. I'm starting to think that the 32-bit Unity engine is just not up to it. Is it a polygon count issue or texture issue?

Link to post
Share on other sites

well i'm running, among various other things, KW, B9, Near Future (all modules), Astronomer's VP, and a 2K custom skybox, and that all fits comfortably within the 32-bit version using ATM on pretty mild settings. i don't know why you're running into problems. if x64 really works for you and is stable, however, that's awesome.

Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...